Package org.apache.solr.common

# Interface SolrCloseable

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Subinterfaces:
  `ClusterStateProvider`

All Known Implementing Classes:
  `BaseHttpClusterStateProvider`, `DelegatingClusterStateProvider`, `HttpClusterStateProvider`, `ObjectCache`

public interface SolrCloseable extends Closeable
A `Closeable` that also allows checking whether it's been closed.

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`isClosed()`

### Methods inherited from interface java.io.Closeable

`close`

## Method Details

### isClosed

default boolean isClosed()